Subject: Re: [PANRG] RG Last Call for draft-irtf-panrg-questions

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 13 Aug 2020 22:49:06 +0200

hi Spencer, 

(as individual, author of the questions draft)

> On 1 Jul 2020, at 19:41, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Dear PANRG, but especially Brian, 
> 
> On Tue, Jun 30, 2020 at 8:54 PM Jen Linkova <[email-masked]> wrote:
> This email starts a RG Last Call for draft-irtf-panrg-questions
> https://datatracker.ietf.org/doc/draft-irtf-panrg-questions/
> 
> The Last Call ends on Wed, July 15th, 23:59:59 UTC.
> 
> This version of the draft contains the definition of "path awareness" that we agreed on, which is perfect, but it's at the bottom of the second page of the Introduction. Could you add a subsection heading so that other drafts can point directly to it?

Done in https://github.com/panrg/questions/pull/11, to be merged shortly.

Cheers,

Brian

> Thanks!
> 
> Best,
> 
> Spencer 
> _______________________________________________
> Panrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/panrg

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 13 Aug 2020 22:49:48 +0200

hi Theresa,

Thanks for the comments; I believe I've addressed them all in https://github.com/panrg/questions/pull/10, to be merged shortly.

Thanks, cheers,

Brian

> On 6 Jul 2020, at 01:54, Theresa Enghardt <[email-masked]> wrote:
> 
> Dear PANRG,
> 
> I just read this document again and I think it's ready for publication.
> 
> In fact, I think this document nicely captures the key questions that
> we're working on in PANRG, and I expect this to be interesting to people
> outside of PANRG as well, so it really should be published.
> 
> 
> Just a couple of nits that I found:
> 
> - Typo in abstract: "intetnetworks"
> 
> - Normative vs informative references: It's not clear to me why RFC 4302
> (IP Authentication Header) and RFC 5246 (TLS 1.2) are Normative, while
> RFC 7624 (on Passive Surveillance) and RFC 8170 (on Protocol Adoption
> and Transition) are Informative. Maybe all of these should be Informative.
> 
> - For TLS, perhaps the reference should be updated to TLS 1.3.
> 
> 
> Finally, one suggested addition:
> 
> Section 2.3, "Supporting Path Selection", states that "Path selection
>    must, like path property information, be trustworthy, such that the
>    result of a path selection at an endpoint is predictable."
> 
> I think it might be worth noting that results should not only be
> predictable, but should also result in an outcome that is "better than
> the default" or "better than random". Maybe surprisingly, this is not
> trivial, as we also noted the Path Properties draft (Section 3.1) after
> somebody (I forget who) brought up this point in a PANRG session.
> 
> I suggest to add something like the following phrase:
> 
> "Moreover, any path selection mechanism should aim to provide an outcome
> that is not worse than using a single path, or selecting paths at
> random, e.g., in terms of performance."
> 
> 
> Best,
> Theresa
>

---

From: Theresa Enghardt <[email-masked]>
Date: Thu, 13 Aug 2020 21:02:27 -0700

Hi Brian,

Thanks for these changes, they resolve my comments.

Best,
Theresa